## visad.data.hdfeos
Class HdfeosForm

    java.lang.Object
      visad.data.FormNode
          visad.data.Form
              visad.data.hdfeos.Hdfeos
                  visad.data.hdfeos.HdfeosForm

All Implemented Interfaces:
  FormFileInformer

Direct Known Subclasses:
  HdfeosAdaptedForm

public class HdfeosForm
extends Hdfeos

Field Summary
`(package private) static CacheStrategy` `c_strategy`

Fields inherited from class visad.data.Form
`mathType`

Constructor Summary
`` `HdfeosForm()`
`(package private)` `HdfeosForm(String formName)`

Method Summary
`void` `add(String id, Data data, boolean replace)` Add data to an existing data object.
`(package private) DataImpl` `getFileData(HdfeosFile file)`
`FormNode` `getForms(Data data)` Return the data forms that are compatible with a data object.
`(package private) HdfeosData` `getGridData(EosGrid grid)`
`(package private) MathType` `getMathType(HdfeosFile file)`
`(package private) HdfeosData` `getSwathData(EosSwath swath)`
`(package private) DataImpl` `getVisADDataObject(HdfeosData h_data)`
`(package private) HdfeosField` `makeField(EosStruct struct, DimensionSet F_dims, HdfeosData t_data)`
`DataImpl` `open(String file_path)` Open an existing data object.
`DataImpl` `open(URL url)` Open a data object specified as a URL.
`void` `save(String id, Data data, boolean replace)` Save a VisAD data object in this form.

Methods inherited from class visad.data.hdfeos.Hdfeos
`getDefaultSuffixes, isThisType, isThisType`

Methods inherited from class visad.data.Form
`getMathType`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c_strategy

    static CacheStrategy c_strategy

Constructor Detail

### HdfeosForm

    public HdfeosForm()

### HdfeosForm

    HdfeosForm(String formName)

Method Detail

### open

    public DataImpl open(String file_path)
                  throws VisADException,
                         RemoteException

  Description copied from class: `FormNode`
  Open an existing data object.

  Specified by:
    `open` in class `Hdfeos`
  Throws:
    `VisADException`
    `RemoteException`

### open

    public DataImpl open(URL url)
                  throws VisADException

  Description copied from class: `FormNode`
  Open a data object specified as a URL.

  Specified by:
    `open` in class `FormNode`
  Throws:
    `VisADException`

### add

    public void add(String id,
                    Data data,
                    boolean replace)
             throws BadFormException

  Description copied from class: `FormNode`
  Add data to an existing data object.

  Specified by:
    `add` in class `FormNode`
  Throws:
    `BadFormException`

### save

    public void save(String id,
                     Data data,
                     boolean replace)
              throws BadFormException,
                     RemoteException,
                     VisADException

  Description copied from class: `FormNode`
  Save a VisAD data object in this form.

  Specified by:
    `save` in class `FormNode`
  Throws:
    `BadFormException`
    `RemoteException`
    `VisADException`

### getForms

    public FormNode getForms(Data data)

  Description copied from class: `FormNode`
  Return the data forms that are compatible with a data object.

  Specified by:
    `getForms` in class `FormNode`

### getMathType

    MathType getMathType(HdfeosFile file)
                   throws VisADException,
                          RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getFileData

    DataImpl getFileData(HdfeosFile file)
                   throws VisADException,
                          RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getVisADDataObject

    DataImpl getVisADDataObject(HdfeosData h_data)
                          throws VisADException,
                                 RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getGridData

    HdfeosData getGridData(EosGrid grid)
                     throws HdfeosException,
                            VisADException,
                            RemoteException

  Throws:
    `HdfeosException`
    `VisADException`
    `RemoteException`

### getSwathData

    HdfeosData getSwathData(EosSwath swath)
                      throws VisADException,
                             RemoteException,
                             HdfeosException

  Throws:
    `VisADException`
    `RemoteException`
    `HdfeosException`

### makeField

    HdfeosField makeField(EosStruct struct,
                          DimensionSet F_dims,
                          HdfeosData t_data)
                    throws VisADException,
                           RemoteException,
                           HdfeosException

  Throws:
    `VisADException`
    `RemoteException`
    `HdfeosException`